part of 'design.dart';

/// Created by Haoyi on 2022/5/29

abstract class BasicDesignSpec {
  Size get measuredSize => measuredMetrics.size;

  Offset get specOffset;

  MeasuredMetrics get measuredMetrics;

  static String buildSpecKey(Size size, Offset offset) {
    return '${size.width}:${size.height}-${offset.dx}:${offset.dy}';
  }
}
